Page MenuHomePhabricator

wm-bot should not use WDDX MediaWiki API format (format going away May 2015)
Closed, ResolvedPublic

Description

wm-bot uses WDDX for API requests to wikitech, source: https://github.com/benapetr/wikimedia-bot/blob/master/src/WMBot.WMFPlugins/Requests/Request.cs - please switch it to a non-deprecated format, preferably JSON.

Details

Reference
bz71543

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:55 AM
bzimport added a project: WM-Bot.
bzimport set Reference to bz71543.
MaxSem created this task.Oct 2 2014, 12:50 AM

Now that WDDX is set to die in May, priority can't be lowest;)

While auto-assigning in Bugzilla is convenient, I do wonder if it leads to cookie-licking.

Petrb added a comment.Feb 6 2015, 12:59 PM

I think that this requests module is either going to die before May or it needs complete rewrite. I don't even think anyone still uses it?

Ricordisamoa updated the task description. (Show Details)Mar 2 2015, 6:14 PM
Ricordisamoa set Security to None.
Ricordisamoa added a subscriber: Ricordisamoa.
Anomie added a subscriber: Anomie.Apr 13 2015, 6:59 PM

I don't even think anyone still uses it?

That does not seem to have been true in February. But logs of wm-bot hitting format=wddx suddenly stopped on April 8, so maybe it's fixed now.

Petrb closed this task as Resolved.May 28 2015, 7:20 AM